%define upstream_name    CGI-Fast
%define upstream_version 2.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    CGI Interface for Fast CGI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 4.0.0
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI) >= 0.670.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::Deep) >= 0.110.0
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildArch:  noarch

%description
CGI::Fast is a subclass of the CGI object created by CGI.pm. It is
specialized to work with the FCGI module, which greatly speeds up CGI
scripts by turning them into persistently running server processes. Scripts
that perform time-consuming initialization processes, such as loading large
modules or opening persistent database connections, will see large
performance improvements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.100.0-4pclos2017
- rebuild against updates

